/**
 * Created by zendynamix on 9/14/2016.
 */
var rfIdStringArray = [
        'EPC:E2004106170D004514708284 rssi:-62 ant:2 count:2 Time:2016-09-12T12:35:24.438438+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:301619A7F000130001938939 rssi:-70 ant:1 count:1 Time:2016-09-13T14:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-70 ant:1 count:1 Time:2016-06-13T15:51:04.989989+0000',
        'EPC:E2004106170D0069147082B4 rssi:-67 ant:1 count:1 Time:2016-09-13T23:48:44.962962+0000',
        'EPC:E2004106170D001714808012 rssi:-66 ant:1 count:1 Time:2016-09-14T00:18:48.807807+0000',
        'EPC:301619A7F000130001938939 rssi:-63 ant:1 count:1 Time:2016-09-14T01:58:47.140140+0000',
        'EPC:500130051605552800000045 rssi:-79 ant:1 count:1 Time:2016-09-14T03:30:11.838838+0000',
        'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:37:32.551551+0000',
        'EPC:E2004106170D0119148080E1 rssi:-65 ant:1 count:1 Time:2016-09-14T04:37:36.355355+0000',
        'EPC:E2004106170D0119148080E1 rssi:-62 ant:1 count:1 Time:2016-09-14T04:37:40.645645+0000',
        'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:37:44.143143+0000',
        'EPC:E2004106170D0119148080E1 rssi:-72 ant:1 count:1 Time:2016-09-14T04:37:51.425425+0000',
        'EPC:E2004106170D0119148080E1 rssi:-70 ant:1 count:1 Time:2016-09-14T04:37:54.996996+0000',
        'EPC:E2004106170D0081147082D2 rssi:-64 ant:1 count:1 Time:2016-09-14T04:37:55.796796+0000',
        'EPC:E2004106170D0119148080E1 rssi:-64 ant:1 count:1 Time:2016-09-14T04:44:42.652652+0000',
        'EPC:E2004106170D0119148080E1 rssi:-66 ant:1 count:1 Time:2016-09-14T04:44:46.986986+0000',
        'EPC:E2004106170D0119148080E1 rssi:-68 ant:1 count:1 Time:2016-09-14T04:44:57.811811+0000',
        'EPC:E2004106170D0119148080E1 rssi:-66 ant:1 count:1 Time:2016-09-14T04:45:01.953953+0000',
        'EPC:E2004106170D0119148080E1 rssi:-62 ant:1 count:1 Time:2016-09-14T04:45:06.219219+0000',
        'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:45:16.131131+0000',
        'EPC:E2004106170D0119148080E1 rssi:-69 ant:1 count:1 Time:2016-09-14T04:45:21.568568+0000',
        'EPC:E2004106170D0119148080E1 rssi:-69 ant:1 count:1 Time:2016-09-14T04:45:25.533533+0000',
        'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:45:38.483483+0000',
        'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:45:42.792792+0000',
        'EPC:E2004106170D0119148080E1 rssi:-70 ant:1 count:1 Time:2016-09-14T05:00:12.863863+0000',
        'EPC:E2004106170D0119148080E1 rssi:-64 ant:1 count:1 Time:2016-09-14T05:02:33.346346+0000',
        'EPC:E2004106170D0119148080E1 rssi:-70 ant:1 count:1 Time:2016-09-14T05:07:52.922922+0000',
        'EPC:E2004106170D0119148080E1 rssi:-64 ant:1 count:1 Time:2016-09-14T05:07:56.190190+0000',
        'EPC:E2004106170D001014807FFB rssi:-64 ant:1 count:1 Time:2016-09-14T05:13:09.351351+0000'
];/*8:43 DA002

 9:13  DA034
 9:59  DA024
 10:03 DA014*/
var latestRfIdDetection = [
        /*'EPC:500130051605552800000045 rssi:-79 ant:1 count:1 Time:2016-09-13T18:20:55.326326+0000',
         'EPC:E2004106170D0069147082B4 rssi:-67 ant:1 count:1 Time:2016-09-13T23:48:44.962962+0000',
         'EPC:E2004106170D001714808012 rssi:-66 ant:1 count:1 Time:2016-09-14T00:18:48.807807+0000',
         'EPC:301619A7F000130001938939 rssi:-63 ant:1 count:1 Time:2016-09-14T01:58:47.140140+0000',
         'EPC:500130051605552800000045 rssi:-79 ant:1 count:1 Time:2016-09-14T03:30:11.838838+0000',
         'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:37:32.551551+0000'*/
        'EPC:E2004106170D0081148082D2 rssi:-64 ant:1 count:1 Time:2016-09-14T03:20:00.551551+0000',//DA005
        'EPC:E2004106170D008114808201 rssi:-64 ant:1 count:1 Time:2016-09-14T03:23:00.551551+0000',//DA002
        'EPC:E2004106170D008114807FFB rssi:-64 ant:1 count:1 Time:2016-09-14T03:43:00.551551+0000',//DA034
        'EPC:E2004106170D008114808263 rssi:-64 ant:1 count:1 Time:2016-09-14T04:29:00.551551+0000',//DA024
        'EPC:E2004106170D00811480825B rssi:-64 ant:1 count:1 Time:2016-09-14T04:33:00.551551+0000',//DA014
];
var exitArray = [
        'EPC:500130051605552800000045 rssi:-79 ant:1 count:1 Time:2016-09-13T18:20:55.326326+0000',
        'EPC:E2004106170D0069147082B4 rssi:-67 ant:1 count:1 Time:2016-09-13T23:48:44.962962+0000',
        'EPC:E2004106170D001714808012 rssi:-66 ant:1 count:1 Time:2016-09-14T00:18:48.807807+0000',
        'EPC:301619A7F000130001938939 rssi:-63 ant:1 count:1 Time:2016-09-14T01:58:47.140140+0000',
        'EPC:500130051605552800000045 rssi:-79 ant:1 count:1 Time:2016-09-14T03:30:11.838838+0000',
        'EPC:E2004106170D0119148080E1 rssi:-67 ant:1 count:1 Time:2016-09-14T04:37:32.551551+0000',
        'EPC:E2004106170D0081147082D2 rssi:-64 ant:1 count:1 Time:2016-09-14T04:37:55.796796+000',
        'EPC:E2004106170D0081148082D2 rssi:-64 ant:1 count:1 Time:2016-09-14T03:20:00.551551+0000',//DA005
        'EPC:E2004106170D008114808201 rssi:-64 ant:1 count:1 Time:2016-09-14T03:23:00.551551+0000',//DA002
        'EPC:E2004106170D008114807FFB rssi:-64 ant:1 count:1 Time:2016-09-14T03:43:00.551551+0000',//DA034
        'EPC:E2004106170D008114808263 rssi:-64 ant:1 count:1 Time:2016-09-14T04:26:00.551551+0000',//DA024,
        'EPC:E2004106170D004714808051 rssi:-65 ant:1 count:1 Time:2016-09-14T10:33:23.203203+0000',
        'EPC:E2004106170D0069147082B4 rssi:-63 ant:1 count:1 Time:2016-09-14T11:52:49.480480+0000',
        'EPC:E2004106170D002714708263 rssi:-65 ant:1 count:1 Time:2016-09-14T22:56:10.319319+0000',
        'EPC:E2004106170D004714808051 rssi:-66 ant:1 count:1 Time:2016-09-14T23:44:50.703703+0000',
        'EPC:E2004106170D00501470828B rssi:-66 ant:1 count:1 Time:2016-09-15T01:11:54.743743+0000',
        'EPC:E2004106170D001714808012 rssi:-67 ant:1 count:1 Time:2016-09-15T01:23:06.338338+0000',
];
var entryArray = [
        'EPC:500130051605552800000045 rssi:-90 ant:1 count:1 Time:2016-09-13T18:05:55.326326+0000',
        'EPC:E2004106170D0069147082B4 rssi:-90 ant:1 count:1 Time:2016-09-13T23:18:44.962962+0000',
        'EPC:E2004106170D001714808012 rssi:-90 ant:1 count:1 Time:2016-09-14T00:00:48.807807+0000',
        'EPC:301619A7F000130001938939 rssi:-90 ant:1 count:1 Time:2016-09-14T01:40:47.140140+0000',
        'EPC:500130051605552800000045 rssi:-90 ant:1 count:1 Time:2016-09-14T03:00:11.838838+0000',
        'EPC:E2004106170D0119148080E1 rssi:-90 ant:1 count:1 Time:2016-09-14T04:13:32.551551+0000',
        'EPC:E2004106170D0081147082D2 rssi:-90 ant:1 count:1 Time:2016-09-14T04:37:55.796796+000',
        'EPC:E2004106170D0081148082D2 rssi:-90 ant:1 count:1 Time:2016-09-14T03:10:00.551551+0000',//DA005
        'EPC:E2004106170D008114808201 rssi:-90 ant:1 count:1 Time:2016-09-14T03:11:00.551551+0000',//DA002
        'EPC:E2004106170D008114807FFB rssi:-90 ant:1 count:1 Time:2016-09-14T03:21:00.551551+0000',//DA034
        'EPC:E2004106170D008114808263 rssi:-90 ant:1 count:1 Time:2016-09-14T04:01:00.551551+0000',//DA024,
        'EPC:E2004106170D004714808051 rssi:-90 ant:1 count:1 Time:2016-09-14T10:09:23.203203+0000',
        'EPC:E2004106170D0069147082B4 rssi:-90 ant:1 count:1 Time:2016-09-14T11:21:49.480480+0000',
        'EPC:E2004106170D002714708263 rssi:-90 ant:1 count:1 Time:2016-09-14T22:28:10.319319+0000',
        'EPC:E2004106170D004714808051 rssi:-90 ant:1 count:1 Time:2016-09-14T23:12:50.703703+0000',
        'EPC:E2004106170D00501470828B rssi:-90 ant:1 count:1 Time:2016-09-15T01:01:54.743743+0000',
        'EPC:E2004106170D001714808012 rssi:-90 ant:1 count:1 Time:2016-09-15T01:07:06.338338+0000',
]

var newExitArray = [
        "EPC:E2004106170D0119148080E1 rssi:-64 ant:1 count:1 Time:2016-09-16T06:44:24.793793+0000",
        "EPC:E2004106170D0069147082B4 rssi:-66 ant:1 count:1 Time:2016-09-16T11:46:17.399399+0000",
        "EPC:E2004106170D004714808051 rssi:-67 ant:1 count:1 Time:2016-09-16T23:42:29.693693+0000",
        "EPC:E2004106170D0069147082B4 rssi:-66 ant:1 count:1 Time:2016-09-16T23:42:55.008008+0000",
        "EPC:E2004106170D00501470828B rssi:-65 ant:1 count:1 Time:2016-09-17T01:28:58.935935+0000"
]
var newEntryArray = [
        "EPC:E2004106170D0069147082B4 rssi:-90 ant:1 count:1 Time:2016-09-16T11:24:17.399399+0000",
        "EPC:E2004106170D004714808051 rssi:-90 ant:1 count:1 Time:2016-09-16T23:33:29.693693+0000",
        "EPC:E2004106170D0069147082B4 rssi:-90 ant:1 count:1 Time:2016-09-16T23:28:55.008008+0000",
        "EPC:E2004106170D00501470828B rssi:-90 ant:1 count:1 Time:2016-09-17T01:18:58.935935+0000"
]
var zmq = require('zmq')
var zmqPortPart = 'tcp://127.0.0.1:52001'/*http://212.47.249.75/*//*192.168.1.152*/
var sock = zmq.socket('push');
sock.connect(zmqPortPart )/*E2004106170D0057147*/
var rfIdDetectionArray = ['EPC:E2004106170D0119148080E1 rssi:-53 ant:1 count:1 Time:2016-09-14T05:29:35.589589+0000']
function sendData(data){
        sock.send(data)
        console.log(data)
}
/*setInterval(function(){
 console.log("Pushing RFID Detection data")
 var rfIdDetectionObj = rfIdDetectionArray[Math.floor(Math.random()*rfIdDetectionArray.length)];
 sendData(JSON.stringify(rfIdDetectionObj))
 },1000)*/
function getData(){
        for(var i=0;i<newExitArray.length;i++){
                var rfIdDetectionObj = newExitArray[i];
                sendData(JSON.stringify(rfIdDetectionObj))
        }
}
getData();